<?- include('../partials/header') -?>
<div class="page">
    <div class="page-main">
       

        <?- include('../partials/nav') -?>

        <div class="app-content page-body">
            <div class="container">

                <!--Page header-->
                <div class="page-header">
                    <div class="page-leftheader">
                        <h4 class="page-title">ระบบบริหารจัดการคลัง</h4>
                        <ol class="breadcrumb pl-0">
                            <li class="breadcrumb-item"><a href="#">หน้าหลัก</a></li>
                            <li class="breadcrumb-item active" aria-current="page">บริหารจัดการคลัง</li>
                        </ol>
                    </div>
                </div>
                <!--End Page header-->

                <!--Row-->
                <div class="row">
                    <div class="col-xl-3 col-lg-6 col-md-12">
                        <div class="card">
                            <div class="card-body pb-0">
                                <div class="text-left mb-4">
                                    <h3 class=" mb-1 ">
                                      <i class="fa fa-line-chart mr-1"></i>
                                      ต้นทุนสินค้า
                                    </h3>
                                    <h4 class="mb-0">4,786<span class="fs-12 text-muted"><span class="text-success mr-1"><i class="fe fe-arrow-up ml-1 "></i> 12%</span> รวมทุกปี</span></h4>
                                </div>
                            </div>
                            <div id="spark1"></div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-6 col-md-12">
                        <div class="card">
                            <div class="card-body pb-0">
                                <div class="text-left mb-4">
                                    <h3 class=" mb-1 ">
                                      <i class="fa fa-usd mr-1"></i>
                                      รายรับ
                                    </h3>
                                    <h4 class="mb-0">$873<span class="fs-12 text-muted"><span class="text-danger mr-1"><i class="fe fe-arrow-down ml-1 "></i> 0.34%</span> รวมทุกปี</span></h4>
                                </div>
                            </div>
                            <div id="spark2"></div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-6 col-md-12">
                        <div class="card ">
                            <div class="card-body pb-0">
                                <div class="text-left mb-4">
                                    <h3 class=" mb-1 ">
                                      <i class="fa fa-cart-arrow-down mr-1"></i>
                                      ค่าขนส่ง
                                    </h3>
                                    <h4 class="mb-0">6,295<span class="fs-12 text-muted"><span class="text-success mr-1"><i class="fe fe-arrow-up ml-1 "></i> 0.12%</span> รวมทุกปี</span></h4>
                                </div>
                            </div>
                            <div id="spark3"></div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-6 col-md-12">
                        <div class="card">
                            <div class="card-body pb-0">
                                <div class="text-left mb-4">
                                    <h3 class=" mb-1">
                                      <i class="fa fa-signal mr-1"></i>
                                      รายรับคงเหลือ
                                    </h3>
                                    <h4 class="mb-0">$356<span class="fs-12 text-muted"><span class="text-danger mr-1"><i class="fe fe-arrow-down ml-1"></i>0.82%</span> รวมทุกปี</span></h4>
                                </div>
                            </div>
                            <div id="spark4"></div>
                        </div>
                    </div>
                </div>
                <!--End row-->
                <!--Row-->
                <div class="row">
                    <div class="col-xl-12 col-md-12 col-lg-12">
                        <form action="/print" method="POST" target="_blank">
                            <div class="card ">
                                <div class="card-header">
                                    <h3 class="card-title">รายการสั่งซื้อที่ต้องจัดส่ง (วันนี้)</h3>
                                    <div class="card-options ">
                                        <button type="submit" class="btn btn-vk"><i class="fe fe-printer"></i> พิมพ์ใบปะหน้า</button>
                                    </div>
                                </div>
                                <div class="mb-0">
                                    <div class="table-responsive">
                                        
                                        <table class="table mb-0 table-vcenter table-hover text-nowrap">
                                            <thead>
                                                <tr>
                                                    <th>เลขที่คำสั่งซื้อ</th>
                                                    <th>ชื่อ-นามสกุล</th>
                                                    <th>สถานะ</th>
                                                    <th>บริษัทขนส่ง</th>
                                                    <th>สินค้า</th>
                                                    <th>ราคา</th>
                                                    <th></th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <? if(data.rowCount > 0){
                                                    var row = data.rows;
                                                    for(var item in row) { 
                                                ?>   

                                                <tr>
                                                    <td></td>
                                                    <td><?= row[item].shipping_firstname?> <?= row[item].shipping_lastname?></td>
                                                    <td><span class="badge badge-pill <?= row[item].status_span?>"><?= row[item].status_name?></span></td>
                                                    <td><img src="../<?= row[item].courier_image?>" class="w-5 h-5" alt=""></td>
                                                    <td><?= row[item].product_name?></td>
                                                    <td><?= row[item].total_price?></td>
                                                    <td class="text-center align-middle">
                                                        <div class="btn-group align-top">
                                                            <a href="/orders/confirm_orders/<?= row[item].order_id?>" class="btn btn-sm btn-outline-primary badge" title="อัพเดทสถานะ"><i class="fe fe-external-link"></i></button>
                                                            <a href="/orders/detail/<?= row[item].order_id?>" class="btn btn-sm btn-outline-primary badge" type="button" title="รายละเอียดการส่งสินค้า"><i class="fe fe-file-text"></i></a>
                                                            <a href="/orders/invoice/<?= row[item].order_id?>" class="btn btn-sm btn-outline-primary badge" target="_blank"><i class="fe fe-file"></i></a>
                                                            <button class="btn btn-sm btn-outline-primary badge" type="button"><input type="checkbox" name="print" class="form-control" value="<?= row[item].order_id?>"></button>
                                                        </div>
                                                    </td>
                                                </tr>
                                                <? }
                                            }else{ 
                                        ?> 
                                        <tr>
                                            <td colspan="5">ไม่มีรายการจัดส่ง</td>
                                        </tr>
                                        <? 
                                    } 
                                ?>  
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <!--End row-->

                <!--Row-->
                <div class="row">
                    <div class="col-xl-8 col-md-12 col-lg-12">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">สรุปภาพรวม</h3>
                                <div class="card-options ">
                                    <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
                                    <a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
                                </div>
                            </div>
                            <div class="card-footer text-left">
                                <div class="row">
                                    <div class="col-xl-4 col-lg-6 col-md-12">
                                        <h2 class="font-weight-normal text-dark mb-0">19,897</h2>
                                        <p class="text-muted mb-1 fs-13">จัดส่งทั้งหมด</p>
                                        <div class="progress progress-xs mb-2">
                                            <div class="progress-bar bg-primary" style="width: 99%"></div>
                                        </div>
                                    </div>
                                    <div class="col-xl-4 col-lg-6 col-md-12">
                                        <h2 class="font-weight-normal text-dark mb-0">19,785</h2>
                                        <p class="text-muted mb-1 fs-13">จัดส่งสำเร็จ</p>
                                        <div class="progress progress-xs mb-2">
                                            <div class="progress-bar bg-secondary" style="width: 90%"></div>
                                        </div>
                                    </div>
                                    <div class="col-xl-4 col-lg-6 col-md-12">
                                        <h2 class="font-weight-normal text-dark mb-0">97</h2>
                                        <p class="text-muted mb-1 fs-13">ยกเลิก</p>
                                        <div class="progress progress-xs mb-2">
                                            <div class="progress-bar bg-info" style="width: 20%"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card">
                            <div class="card-header border-bottom-0">
                                <h3 class="card-title">สินค้าใกล้หมด</h3>
                                <div class="card-options ">
                                    <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
                                    <a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
                                </div>
                            </div>
                            <div>
                                <div class="table-responsive">
                                    <table class="table  table-vcenter  mb-0">
                                        <tbody>
                                            <tr>
                                                <td class="font-weight-semibold">Lish Flora</td>
                                                <td>8,291</td>
                                                <td><i class="fa fa-caret-down text-danger mr-1"></i>10</td>
                                                <td>
                                                    <span class="sparkline_area"></span>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="font-weight-semibold">Lish Attra</td>
                                                <td>4,458</td>
                                                <td><i class="fa fa-caret-down text-danger mr-1"></i>50</td>
                                                <td>
                                                    <span class="sparkline_area"></span>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="col-xl-4 col-md-12 col-lg-12">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">ภาพรวมยอดขาย</h3>
                                <div class="card-options ">
                                    <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
                                    <a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-7">
                                        <span class=" mb-1">ยอดขายที่ยังไม่หักค่าใช้จ่าย</span>
                                        <h3 class="mb-3">5,89,268฿<span class="fs-12 text-danger ml-1">ปีที่ผ่านมา</span></h3>
                                        <p class="mb-0 text-muted fs-12">รวมยอดขายประจำปี ซึ่งยังไม่ได้หักค่าใช้จ่ายส่วนอื่นๆและต้นทุนขาย</p>
                                    </div>
                                    <div class="col-md-4 mt-4 mt-sm-0">
                                        <div class="chart-circle overflow-hiddene  mt-sm-0 mb-0 text-left" data-value="0.23" data-thickness="8" data-color="#2d66f7">
                                            <div class="chart-circle-value text-center "><h1 class="mb-0">25%</h1><small>เพิ่มขึ้น</small></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--End row-->
                <!--Row-->
                <!--End row-->

            </div>
        </div><!-- end app-content-->
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">อัพเดทสถานะ</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="form-label">ค่าจัดส่ง</label>
                        <input type="text" class="form-control" name="shipping_cost">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">ปิด</button>
                    <button type="button" class="btn btn-primary">บันทึก</button>
                </div>
            </div>
        </div>
    </div>
    <?- include('../partials/footer') -?>

</div>
